import { RThemeService } from '../../../theme';
import { RDrawer, RDrawerMode } from '../../navigation/sidenav';
import { RLayoutService } from './layout.service';
/** @dynamic */
export declare class RLayoutComponent {
    private readonly themeService;
    private readonly layoutService;
    private readonly document;
    private readonly subs;
    drawer: RDrawer;
    drawerOpened: boolean;
    drawerBackdrop: boolean;
    drawerContainerAutosize: boolean;
    responsive: boolean;
    hasDrawer: boolean;
    get drawerMode(): RDrawerMode;
    set drawerMode(value: RDrawerMode);
    private _drawerMode;
    constructor(themeService: RThemeService, layoutService: RLayoutService, document: Document);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onResize(): void;
    get isMobile(): boolean;
}
